Page MenuHomePhabricator

[ARM] Add support for SETCCCARRY instead of SETCCE
ClosedPublic

Authored by deadalnix on May 6 2018, 6:57 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

deadalnix created this revision.May 6 2018, 6:57 PM
efriedma accepted this revision.May 8 2018, 2:21 PM

LGTM with minor comments.

lib/Target/ARM/ARMISelLowering.cpp
1068 ↗(On Diff #145420)

Do we still need the Thumb1Only check here? I thought we fixed that. But I guess we can change that as a followup.

10342 ↗(On Diff #145420)

Whitespace change?

This revision is now accepted and ready to land.May 8 2018, 2:21 PM
deadalnix added inline comments.May 9 2018, 2:57 PM
lib/Target/ARM/ARMISelLowering.cpp
1068 ↗(On Diff #145420)

I honestly do not know.

10342 ↗(On Diff #145420)

I will revert this.

This revision was automatically updated to reflect the committed changes.